# -*- coding: utf-8 -*-
"""
Created on Thu Oct 04 14:00:56 2018

@author: au302246
"""

from os import listdir
from os.path import isfile, join
import pandas as pd
import matplotlib.pyplot as plt

folder = "O:/Tech_AN/Anders/Projects/Undervisning/2021/TREICLAKE/Exercise/scenario_output"

# get all exported scenarios
scenarios = [f for f in listdir(folder) if isfile(join(folder, f))]

# import data into python dataframe
dat = pd.DataFrame()
for sc in scenarios:

    data = pd.read_csv(join(folder,sc),header=None) 
    data[0] = sc.split(".")[0]
    dat = dat.append(data)

# calculate the mean and std across the three years for each scenario
dat_mean = dat.groupby(0).mean()
dat_std = dat.groupby(0).std()

# plot the mean for each scenario and add std as error bar
#fig = plt.figure()
ax = dat_mean.plot.bar(yerr = dat_std)
ax.set_ylabel("TP mg/l summer concentration")
ax.legend_.remove()
#setting the treshold for deep lakes summer concentration
ax.axhline(0.029, xmin=-1, xmax=1, color='r', linestyle='--', lw=2)
plt.show()